
<mat-dialog-content class="mat-typography">
    <mat-tab-group (selectedTabChange)="tabChanged($event)">
        <mat-tab label="Select File">
            <mat-grid-list cols="3" rowHeight="1:1.5">
                <ng-container *ngIf="gettingFile">
                    <div align="center">
                        <mat-spinner [diameter]="60"></mat-spinner>
                    </div>
                </ng-container>
                <ng-container *ngIf="!gettingFile">
                    <mat-grid-tile *ngFor="let medium of media" [colspan]="1" [rowspan]="1">
                        <mat-radio-button (click)="selectFile(medium)" class="example-radio-button" name="selected">
                            <img width="100%" src="{{medium.contentType == 'image' ? baseUrl+'uploads/'+medium.url : baseUrl+'uploads/'+medium.thumbnail}}" alt="Image">
                        </mat-radio-button>
                    </mat-grid-tile>
                </ng-container>
            </mat-grid-list>
        </mat-tab>
        <mat-tab label="Upload File">
            <h3>Click the highlighted area with icon to upload a file</h3>
            <input type="file" #file style="display: none" (change)="onFilesAdded()" accept="{{data.type}}" />
            <mat-list>
                <mat-list-item *ngFor="let file of files">
                    <h4 matLine>{{file.name}}</h4>
                    <p matLine style="padding:16px 0px;" *ngIf="progress">
                        <mat-progress-bar mode="determinate" [value]="progress[file.name].progress | async"></mat-progress-bar>
                    </p>
                </mat-list-item>
            </mat-list>
            <mat-grid-list cols="4" rowHeight="100px" style="cursor:pointer;" (click)="addFiles()">
                <mat-grid-tile
                    matRipple
                    [colspan]="4"
                    [rowspan]="1"
                    [style.background]="'silver'">
                    <p matLine><mat-icon style="font-size:50px;">add_photo_alternate</mat-icon></p>
                </mat-grid-tile>
            </mat-grid-list>
        </mat-tab>
    </mat-tab-group>
</mat-dialog-content>
<mat-dialog-actions align="end" *ngIf="tab==0">
    <button mat-button mat-dialog-close (click)="resetFiles()">Cancel</button>
    <button mat-raised-button [mat-dialog-close]="selectedFile" color="primary" [disabled]="!selectedFile">Use File</button>
</mat-dialog-actions>
<mat-dialog-actions align="end" *ngIf="tab==1">
    <button mat-button mat-dialog-close (click)="resetFiles()">Cancel</button>
    <button mat-raised-button color="primary" [disabled]="!files.size" (click)="uploadFiles()">{{primaryButtonText}}</button>
</mat-dialog-actions>